Cyan Web API - Version 1


GET api/messages?{senderSessionId}&{senderSessionSequence}

            Gets a Message.
            

Request Information

Parameters

NameDescriptionAdditional information
senderSessionId

Define this parameter in the request URI.

senderSessionSequence

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "messageId": "f2619680-5b87-4e28-a1e8-f83a0f8c7a7a",
  "tenantId": "8ad95461-a173-4aa9-8ee6-42e1736814dd",
  "messageTypeId": "b7d5bf19-65bb-4619-826c-27a8ad3f6c99",
  "messageTypeLookupKey": "sample string 4",
  "userId": "01fec8c7-8961-4e78-b7d7-117eac9a907f",
  "userGroupId": "785f31b0-bf97-46b4-9bb5-d3f5551b4b29",
  "deviceId": "18452fac-2741-4ef6-92d4-166ff9c765d0",
  "deviceGroupId": "1f1c7e2f-3c00-4c4f-b862-4077fab1d193",
  "applicationId": "a65ff1b1-54ff-4cac-8182-560994af51e4",
  "applicationVersionId": "5cc7919d-fcd6-4dc3-a145-82cef3a2c1a7",
  "senderSessionId": "sample string 5",
  "senderSessionSequence": 1,
  "senderCorrelationId": "sample string 6",
  "senderGroup": "sample string 7",
  "senderNote": "sample string 8",
  "body": "sample string 9",
  "storeEncryptedPassword": true,
  "storeHashedPassword": true,
  "messageAuditId": "5dd45f19-0d96-4175-abbc-3405385aede9",
  "messageAuditMessageAuditTypeId": "24c65354-b9f5-4c93-a2ce-8c8bf4b464cd",
  "messageAuditMessageAuditTypeName": "sample string 14",
  "messageAuditMessageAuditTypeLookupKey": "sample string 15",
  "messageAuditText": "sample string 16",
  "messageAuditCreatedDateUtc": "2026-03-21T06:39:53.2392622+00:00",
  "messageAuditUpdatedDateUtc": "2026-03-21T06:39:53.2392622+00:00",
  "cyanId": 18,
  "messageAuditCyanId": 1,
  "resubmitCount": 19,
  "createdDateUtc": "2026-03-21T06:39:53.2392622+00:00",
  "updatedDateUtc": "2026-03-21T06:39:53.2392622+00:00"
}

application/xml, text/xml

Sample:
<MessageRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-03-21T06:39:53.2392622+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-03-21T06:39:53.2392622+00:00</UpdatedDateUtc>
  <ApplicationId>a65ff1b1-54ff-4cac-8182-560994af51e4</ApplicationId>
  <ApplicationVersionId>5cc7919d-fcd6-4dc3-a145-82cef3a2c1a7</ApplicationVersionId>
  <Body>sample string 9</Body>
  <CyanId>18</CyanId>
  <DeviceGroupId>1f1c7e2f-3c00-4c4f-b862-4077fab1d193</DeviceGroupId>
  <DeviceId>18452fac-2741-4ef6-92d4-166ff9c765d0</DeviceId>
  <MessageAuditCreatedDateUtc>2026-03-21T06:39:53.2392622+00:00</MessageAuditCreatedDateUtc>
  <MessageAuditCyanId>1</MessageAuditCyanId>
  <MessageAuditId>5dd45f19-0d96-4175-abbc-3405385aede9</MessageAuditId>
  <MessageAuditMessageAuditTypeId>24c65354-b9f5-4c93-a2ce-8c8bf4b464cd</MessageAuditMessageAuditTypeId>
  <MessageAuditMessageAuditTypeLookupKey>sample string 15</MessageAuditMessageAuditTypeLookupKey>
  <MessageAuditMessageAuditTypeName>sample string 14</MessageAuditMessageAuditTypeName>
  <MessageAuditText>sample string 16</MessageAuditText>
  <MessageAuditUpdatedDateUtc>2026-03-21T06:39:53.2392622+00:00</MessageAuditUpdatedDateUtc>
  <MessageId>f2619680-5b87-4e28-a1e8-f83a0f8c7a7a</MessageId>
  <MessageTypeId>b7d5bf19-65bb-4619-826c-27a8ad3f6c99</MessageTypeId>
  <MessageTypeLookupKey>sample string 4</MessageTypeLookupKey>
  <ResubmitCount>19</ResubmitCount>
  <SenderCorrelationId>sample string 6</SenderCorrelationId>
  <SenderGroup>sample string 7</SenderGroup>
  <SenderNote>sample string 8</SenderNote>
  <SenderSessionId>sample string 5</SenderSessionId>
  <SenderSessionSequence>1</SenderSessionSequence>
  <StoreEncryptedPassword>true</StoreEncryptedPassword>
  <StoreHashedPassword>true</StoreHashedPassword>
  <TenantId>8ad95461-a173-4aa9-8ee6-42e1736814dd</TenantId>
  <UserGroupId>785f31b0-bf97-46b4-9bb5-d3f5551b4b29</UserGroupId>
  <UserId>01fec8c7-8961-4e78-b7d7-117eac9a907f</UserId>
</MessageRepresentation>